
Application: gvSIG desktop - gvSIG bugs #3035
Symbology is applied to active layers too
11/27/2014 05:19 AM - Antonio Falciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Symbology
Target version: 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT USABLE)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2257 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the issue:
    -  for instance, load three polygon layers and activate the first one;
    -  double click on the legend of the second layer, change its background color and apply it.

Result: the symbology of the first layer is changed accordingly to the second one.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3929: La entrada "Cambia... Closed 12/15/2015
Related to Application: gvSIG desktop - gvSIG feature requests # 2361: Botón ... Closed 02/24/2014 06/20/2016
Duplicated by Application: gvSIG desktop - gvSIG bugs # 4105: Selection of th... Invalid 02/11/2016

Associated revisions
Revision 42822 - 06/20/2016 02:05 PM - Daniel Martinez

refs #3035, #2361 Symbology is applied to active layers too and Botón derecho sobre TOC active capa

History
#1 - 01/08/2015 10:02 AM - Antonio Falciano
- Target version set to 2.1.0-2268-rc4

#2 - 01/08/2015 10:10 AM - Antonio Falciano

Duplicate ticket of #1980 and #256 (gvSIG 2.0).

#3 - 01/08/2015 10:15 AM - Álvaro Anguix
- Target version deleted (2.1.0-2268-rc4)

#4 - 03/27/2015 10:37 AM - Antonio Falciano
- Target version set to 2.2.0-2311-rc2

It also affects the 2.1 final (build 2269) and it's very annoying from the user perspective.
#5 - 04/27/2015 02:15 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#6 - 11/12/2015 12:10 PM - Antonio Falciano

This tedious issue still affects the 2.3 build 2408. The double-click on a legend should be dissociated from the active layer and associated only with the
clicked one.

#7 - 11/12/2015 02:21 PM - Álvaro Anguix
- Target version set to 98
- Assignee set to Daniel Martinez

I agree. We will try to review asap.

#8 - 12/16/2015 10:03 AM - Álvaro Anguix
- Related to gvSIG bugs #3929: La entrada "Cambiar símbolo"  del menu contextual de una capa no activa no hace nada. added

#9 - 01/18/2016 11:20 PM - Joaquín  del Cerro Murciano
- Target version deleted (98)

#10 - 02/10/2016 10:30 AM - Daniel Martinez
- Status changed from New to In progress

#11 - 02/10/2016 12:17 PM - Daniel Martinez
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

This has been solved modifying TOC behaviour, but its changes will be applied in version 2.4, because could generate unexpected bugs.
Patch with TOC changes done is added. It solves too #2361

#12 - 02/10/2016 12:17 PM - Daniel Martinez
- Related to gvSIG feature requests #2361: Botón derecho sobre TOC active capa added

#13 - 02/10/2016 12:20 PM - Daniel Martinez
- File TOC_patch.txt added

#14 - 02/19/2016 09:36 AM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #4105: Selection of the layers in the View do not work properly in Windows added

#15 - 06/20/2016 01:16 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#16 - 06/20/2016 01:19 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#17 - 06/20/2016 02:08 PM - Daniel Martinez
- gvSIG version changed from 2.1.0 to 2.3.0
- % Done changed from 0 to 100
- Status changed from In progress to Fixed
- Due date set to 06/20/2016

Changes in TOC commited

#18 - 06/21/2016 07:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT USABLE)

#19 - 06/22/2016 01:13 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
TOC_patch.txt 10.4 KB 02/10/2016 Daniel Martinez
